<?xml version="1.0" encoding="UTF-8"?>

<xs:schema xmlns:xs='http://www.w3.org/2001/XMLSchema'>



	<xs:element name="Todo">

		<xs:complexType>

			<xs:sequence>

				<xs:element ref="Constituents"/>

			</xs:sequence>

			<xs:attribute name="testattr" type="xs:string"/>

		</xs:complexType>

	</xs:element>



	<xs:element name="Constituents">

		<xs:complexType>

			<xs:sequence>

				<xs:element ref="Constituent" minOccurs="0" maxOccurs="unbounded"/>

			</xs:sequence>

		</xs:complexType>

	</xs:element>



	<xs:element name="Constituent">

		<xs:complexType>

			<xs:choice minOccurs="0" maxOccurs="unbounded">

				<xs:element name="Date" type="xs:string"/>

				<xs:element name="Title" type="xs:string"/>

			</xs:choice>

			<xs:attribute name="testattr" type="xs:string"/>

		</xs:complexType>

	</xs:element>

	

</xs:schema>

